diff -ruN vdr-1.3.41/fontosd-iso8859-15.c vdr-1.3.42/fontosd-iso8859-15.c
--- vdr-1.3.41/fontosd-iso8859-15.c	2004-12-18 17:14:49.000000000 +0100
+++ vdr-1.3.42/fontosd-iso8859-15.c	2006-02-05 14:49:48.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontOsd_iso8859_15[][29] = {
+static const cFont::tPixelData FontOsd_iso8859_15[][29] = {
   {             // 32
      6, 27,
      0x00000000,  // ......
diff -ruN vdr-1.3.41/fontosd-iso8859-2.c vdr-1.3.42/fontosd-iso8859-2.c
--- vdr-1.3.41/fontosd-iso8859-2.c	2006-01-21 13:31:29.000000000 +0100
+++ vdr-1.3.42/fontosd-iso8859-2.c	2006-02-05 14:50:05.000000000 +0100
@@ -1,4 +1,3 @@
-
 /*
  * iso8859-2 modified iso8859-1 (Drazen Dupor 23.05.2004).
  *
@@ -10,7 +9,7 @@
  *
  */
 
-cFont::tPixelData FontOsd_iso8859_2[][29] = {
+static const cFont::tPixelData FontOsd_iso8859_2[][29] = {
   {             // 32
      6, 27,
      0x00000000,  // ......
diff -ruN vdr-1.3.41/fontosd-iso8859-5.c vdr-1.3.42/fontosd-iso8859-5.c
--- vdr-1.3.41/fontosd-iso8859-5.c	2004-12-18 17:14:50.000000000 +0100
+++ vdr-1.3.42/fontosd-iso8859-5.c	2006-02-05 14:50:09.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontOsd_iso8859_5[][24] = {
+static const cFont::tPixelData FontOsd_iso8859_5[][24] = {
   {             // 32
      6, 22,
      0x00000000,  // ......
diff -ruN vdr-1.3.41/fontosd-iso8859-7.c vdr-1.3.42/fontosd-iso8859-7.c
--- vdr-1.3.41/fontosd-iso8859-7.c	2004-12-18 17:14:50.000000000 +0100
+++ vdr-1.3.42/fontosd-iso8859-7.c	2006-02-05 14:50:10.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontOsd_iso8859_7[][27] = {
+static const cFont::tPixelData FontOsd_iso8859_7[][27] = {
   {             // 32
      12, 25,
      0x00000000,  // ............
diff -ruN vdr-1.3.41/fontsml-iso8859-1.c vdr-1.3.42/fontsml-iso8859-1.c
--- vdr-1.3.41/fontsml-iso8859-1.c	2004-12-18 17:14:50.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-1.c	2006-02-05 14:50:11.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_1[][24] = {
+static const cFont::tPixelData FontSml_iso8859_1[][24] = {
   {             // 32
      5, 22,
      0x00000000,  // .....
diff -ruN vdr-1.3.41/fontsml-iso8859-13.c vdr-1.3.42/fontsml-iso8859-13.c
--- vdr-1.3.41/fontsml-iso8859-13.c	2005-01-14 14:25:35.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-13.c	2006-02-05 14:50:12.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_13[][24] = {
+static const cFont::tPixelData FontSml_iso8859_13[][24] = {
   {             // 32
      5, 22,
      0x00000000,  // .....
diff -ruN vdr-1.3.41/fontsml-iso8859-15.c vdr-1.3.42/fontsml-iso8859-15.c
--- vdr-1.3.41/fontsml-iso8859-15.c	2004-12-18 17:14:51.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-15.c	2006-02-05 14:50:13.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_15[][24] = {
+static const cFont::tPixelData FontSml_iso8859_15[][24] = {
   {             // 32
      5, 22,
      0x00000000,  // .....
diff -ruN vdr-1.3.41/fontsml-iso8859-2.c vdr-1.3.42/fontsml-iso8859-2.c
--- vdr-1.3.41/fontsml-iso8859-2.c	2004-12-18 17:14:51.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-2.c	2006-02-05 14:50:14.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_2[][25] = {
+static const cFont::tPixelData FontSml_iso8859_2[][25] = {
   {             // 32
      5, 23,
      0x00000000,  // .....
diff -ruN vdr-1.3.41/fontsml-iso8859-5.c vdr-1.3.42/fontsml-iso8859-5.c
--- vdr-1.3.41/fontsml-iso8859-5.c	2004-12-18 17:14:51.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-5.c	2006-02-05 14:50:15.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_5[][27] = {
+static const cFont::tPixelData FontSml_iso8859_5[][27] = {
   {             // 32
      5, 25,
      0x00000000,  // .....
diff -ruN vdr-1.3.41/fontsml-iso8859-7.c vdr-1.3.42/fontsml-iso8859-7.c
--- vdr-1.3.41/fontsml-iso8859-7.c	2004-12-18 17:14:52.000000000 +0100
+++ vdr-1.3.42/fontsml-iso8859-7.c	2006-02-05 14:50:16.000000000 +0100
@@ -1,4 +1,4 @@
-cFont::tPixelData FontSml_iso8859_7[][22] = {
+static const cFont::tPixelData FontSml_iso8859_7[][22] = {
   {             // 32
      9, 20,
      0x00000000,  // .........
diff -ruN vdr-1.3.41/genfontfile.c vdr-1.3.42/genfontfile.c
--- vdr-1.3.41/genfontfile.c	2006-01-08 12:39:51.000000000 +0100
+++ vdr-1.3.42/genfontfile.c	2006-02-05 14:54:02.000000000 +0100
@@ -371,7 +371,7 @@
     exit(1);
   }
 
-  printf("%s[][%d] = {\n", varname, fontinfo->max_ascent + fontinfo->max_descent + 2);
+  printf("static const %s[][%d] = {\n", varname, fontinfo->max_ascent + fontinfo->max_descent + 2);
   for (c = 32; c < 256; c++) {
       getMetric(fontinfo, c, &tgi);
       printGlyph(fontinfo, c);
